<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\Jobs;

/**
 * Class View
 * @package FiloBlu\MappConnector\Block\Adminhtml\Jobs
 */
class View extends \Magento\Backend\Block\Widget\Form\Container
{
    /**
     * View Constructor
     */
    protected function _construct()
    {
        $this->_objectId = 'id';
        $this->_blockGroup = 'FiloBlu_MappConnector';
        $this->_controller = 'adminhtml_jobs';

        parent::_construct();

        $this->buttonList->remove('save');
        $this->buttonList->remove('reset');
    }

    /**
     * Gets Job record from DB
     *
     * @return mixed
     */
    public function getJob(){
        $id = $this->getRequest()->getParam('id');
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();

        $row = $objectManager
            ->get('FiloBlu\MappConnector\Model\Jobs')
            ->load($id)
            ->getData();

        return $row;
    }


}