<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer;

/**
 * Class CustomerShippingAddress
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer
 */
class CustomerShippingAddress extends \FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig
{

    /**
     * @var \Magento\Customer\Model\Address
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'customer_shipping_address';

    /**
     * @var string
     */
    protected $_type = 'eav';

    /**
     * @var array
     */
    protected $_exclude = ['increment_id','entity_id','entity_type_id','parent_id','attribute_set_id'];

    /**
     * CustomerAttributes constructor.
     * @param \Magento\Customer\Model\Address $address
     * @param \Magento\Backend\Block\Template\Context $context
     * @param array $data
     */
    public function __construct(
        \Magento\Customer\Model\Address $address,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->_model = $address;
        parent::__construct($context, $data);
    }

}