<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Controller\Adminhtml\Jobs;

use FiloBlu\MappConnector\Model\Jobs as Jobs;
use Magento\Backend\App\Action;

/**
 * Class Delete
 * @package FiloBlu\MappConnector\Controller\Adminhtml\Jobs
 */
class Delete extends \Magento\Backend\App\Action
{
    /**
     * @return $this
     */
    public function execute()
    {
        $id = $this->getRequest()->getParam('id');

        if (!($job = $this->_objectManager->create(Jobs::class)->load($id))) {
            $this->messageManager->addError(__('Unable to proceed. Please, try again.'));
            $resultRedirect = $this->resultRedirectFactory->create();
            return $resultRedirect->setPath('*/*/index', array('_current' => true));
        }
        try{
            $job->delete();
            $this->messageManager->addSuccess(__('Your job has been deleted !'));
        } catch (Exception $e) {
            $this->messageManager->addError(__('Error while trying to delete job: '));
            $resultRedirect = $this->resultRedirectFactory->create();
            return $resultRedirect->setPath('*/*/index', array('_current' => true));
        }

        $resultRedirect = $this->resultRedirectFactory->create();
        return $resultRedirect->setPath('*/*/index', array('_current' => true));
    }
}